Get all dependants Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/client/{client_uuid}/dependant

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • client_uuid string Required

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [accounts, shared_owner].

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, first_name, last_name]. Negative sign to denote DESC. Defaults to 'created_at'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • first_name string

        The first name of the dependant.

      • last_name string

        The last name of the dependant.

      • name string

        The full name of the dependant. If known_as has been provided, the first name will be replaced with the known_as.

      • known_as string

        An optional nickname for the dependant.

      • relationship string

        The relationship of the dependant.

      • date_of_birth string

        The date of birth of the dependant.

      • is_financially_dependant boolean

        Denotes if the dependant is financially dependant on the client.

      • notes string

        Optional notes for the dependant.

      • accounts object

        Accounts that own this dependant.

        Hide accounts attributes Show accounts attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • external_references string
      • shared_owner_type string

        @deprecated Denotes if the dependant is shared across the client or belongs to one of the owners of the client. (Only applicable for joint/business/trust clients)

      • shared_owner object

        @deprecated The owner of the dependant. Only provided if the shared_owner_type is "individual".

        Hide shared_owner attributes Show shared_owner attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • role string
        • first_name string
        • last_name string
        • name string
        • email string
        • photo_url string
        • firm string
        • primary_phone_number string
        • primary_email string
        • current_time_entry string
        • assigned_adviser string
        • assigned_administrator string
        • assigned_paraplanner string
        • introduced_by string
        • business_unit string
        • groups string
        • tags string
        • owners string
        • first_contact_date string
        • next_review_date string
        • previous_review_date string
        • anniversary_review_date string
        • terms_of_business_at string
        • client_agreement_at string
        • with_login boolean
        • has_joint_account boolean
        • can_be_deleted string
        • joint_account_circle string
        • circles string
        • ownership_percentage integer
        • inactive_at string
        • last_interaction_at string
        • referral_code string
        • permissions object
          Hide permissions attributes Show permissions attributes object
          • firm:read array[string]
          • network:read array[string]
        • custom_fields string
        • external_references string
GET /api/v1/client/{client_uuid}/dependant
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client/6ff8f7f6-1eb3-3525-be4a-3932c805afed/dependant' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "a4480c38-c6ea-44de-84d5-b0ea4a3ceecc",
      "created_at": "2026-06-11T13:19:57+01:00",
      "updated_at": "2026-06-11T13:19:57+01:00",
      "first_name": "Christopher",
      "last_name": "Nolan",
      "name": "Christopher Nolan",
      "known_as": "Chris",
      "relationship": "Brother",
      "date_of_birth": "2014-06-11T13:19:57+01:00",
      "is_financially_dependant": true,
      "notes": "Example notes",
      "accounts": {
        "uuid": "8ec7eee8-31db-4e42-88fe-334cdb09da41",
        "created_at": "2026-06-11T13:19:57+01:00",
        "updated_at": "2026-06-11T13:19:57+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      },
      "shared_owner_type": "individual",
      "shared_owner": {
        "uuid": "e0bc3066-1c28-4b11-8901-f7ce8d47e2d2",
        "created_at": "2026-06-11T13:19:57+01:00",
        "updated_at": "2026-06-11T13:19:57+01:00",
        "type": "client",
        "role": "client",
        "first_name": "Gareth",
        "last_name": "Thompson",
        "name": "Gareth Thompson",
        "email": "gareth@codepotato.co.uk",
        "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
        "firm": "App\\Http\\Resources\\FirmResource",
        "primary_phone_number": "App\\Http\\Resources\\ContactDetailResource",
        "primary_email": "App\\Http\\Resources\\ContactDetailResource",
        "current_time_entry": "App\\Http\\Resources\\TimeEntryResource",
        "assigned_adviser": "App\\Http\\Resources\\AccountResource",
        "assigned_administrator": "App\\Http\\Resources\\AccountResource",
        "assigned_paraplanner": "App\\Http\\Resources\\AccountResource",
        "introduced_by": "App\\Http\\Resources\\AccountResource",
        "business_unit": "App\\Http\\Resources\\BusinessUnitResource",
        "groups": "App\\Http\\Resources\\GroupResource",
        "tags": "App\\Http\\Resources\\TagResource",
        "owners": "App\\Http\\Resources\\AccountResource",
        "first_contact_date": "2026-06-11T13:19:57+01:00",
        "next_review_date": "2026-06-11T13:19:57+01:00",
        "previous_review_date": "2026-06-11T13:19:57+01:00",
        "anniversary_review_date": "2026-06-11T13:19:57+01:00",
        "terms_of_business_at": "2026-06-11T13:19:57+01:00",
        "client_agreement_at": "2026-06-11T13:19:57+01:00",
        "with_login": true,
        "has_joint_account": true,
        "can_be_deleted": "false",
        "joint_account_circle": "App\\Http\\Resources\\CircleResource",
        "circles": "App\\Http\\Resources\\CircleResource",
        "ownership_percentage": 100,
        "inactive_at": "2026-06-11",
        "last_interaction_at": "2026-06-11 13:19:57",
        "referral_code": "ABC12345",
        "permissions": {
          "firm:read": [
            "firm"
          ],
          "network:read": [
            "network:uuid"
          ]
        },
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "external_references": "App\\Http\\Resources\\ExternalReferenceResource"
      }
    }
  ]
}